> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autotab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start



## OpenAPI

````yaml openapi/.openapi.json post /run/
openapi: 3.1.0
info:
  title: Autotab API
  description: AI that does your repetitive work end to end, with superhuman reliability.
  version: 0.0.2
servers:
  - url: https://api.autotab.com/v1
    description: Autotab API
security: []
paths:
  /run/:
    post:
      tags:
        - Run
      summary: Start
      operationId: start
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunSkillRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/RunSession'
                  - type: 'null'
                title: Response Start
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: Javascript
          source: |-
            import { Configuration, RunApi } from 'autotab';

            const runClient = new RunApi(new Configuration({
                apiKey: process.env['AUTOTAB_API_KEY'],
            }));

            async function main() {
              const run = await runClient.start({
                runSkillRequest: {
                    skillId: "skill_fe517503-384a-45c5-87a3-94f98126e626"
                }
              });
              
              console.log("result:", run);
            }

            main();
        - lang: Python
          source: |
            import autotab
            from autotab import RunSkillRequest
            from autotab.rest import ApiException


            client = autotab.Client(
                autotab.Configuration(
                    api_key = os.environ["AUTOTAB_API_KEY"]
                )
            )

            try:
                run = await autotab.RunApi(client).start(
                    run_skill_request=RunSkillRequest(
                        skill_id="skill_a6738f77-afc2-454e-a6d6-207caa8d145f",
                        inputs={
                            "query": "OpenAI news"
                        }
                    )
                )
            except ApiException as e:
                print(f"Exception: {e})
components:
  schemas:
    RunSkillRequest:
      properties:
        skill_id:
          type: string
          title: Skill Id
        inputs:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Inputs
      type: object
      required:
        - skill_id
      title: RunSkillRequest
    RunSession:
      properties:
        id:
          type: string
          title: Id
        skill_id:
          type: string
          title: Skill Id
        owner:
          type: string
          title: Owner
        created_at:
          type: string
          format: date-time
          title: Created At
        environment:
          anyOf:
            - $ref: '#/components/schemas/Environment'
            - type: 'null'
        start_time:
          type: string
          format: date-time
          title: Start Time
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        state:
          anyOf:
            - $ref: '#/components/schemas/RunSessionState'
            - type: 'null'
        inputs:
          anyOf:
            - type: object
            - type: 'null'
          title: Inputs
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
      type: object
      required:
        - id
        - skill_id
        - owner
        - created_at
        - environment
        - start_time
      title: RunSession
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Environment:
      type: string
      enum:
        - client
        - cloud
      title: Environment
    RunSessionState:
      type: string
      enum:
        - play
        - pause
        - finish
        - reset
        - cancel
        - timeout
        - editing
      title: RunSessionState
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Autotab API key
      scheme: bearer

````